<!doctype html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, minimum-scale=1, initial-scale=1, user-scalable=yes">

    <title>grid-arr-list demo</title>

    <script src="../node_modules/@webcomponents/webcomponentsjs/webcomponents-loader.js"></script>

    <script type="module">
      import '@polymer/iron-demo-helpers/demo-pages-shared-styles';
      import '@polymer/iron-demo-helpers/demo-snippet';
      import '@polymer/iron-ajax/iron-ajax.js';
      import '@polymer/polymer/lib/elements/dom-repeat.js';
    </script>

    <script type="module" src="../grid-arr-list.js"></script>

    <custom-style>
      <style is="custom-style" include="demo-pages-shared-styles">
      </style>
    </custom-style>
  </head>
  <body>

    <dom-module id="grid-arr-list-demo">
      <template>

        <div class="vertical-section-container centered">
          <h3>Basic grid-arr-list demo</h3>
  
          <iron-ajax auto
            url="data/data.json"
            handle-as="json"
            last-response="{{ajaxResponse}}">
          </iron-ajax>            
  
          <!-- default values -->
          <grid-arr-list></grid-arr-list>
  
          <!-- Custom Values -->  
          <grid-arr-list items="[[ajaxResponse]]">
            <dom-repeat items="{{ajaxResponse}}" index-as="id">
              <template>
                <span slot="grid-arr-list-[[id]]">
                  [[id]] [[item.det_master_msg]]
                </span>
              </template>
            </dom-repeat>                

          </grid-arr-list>
    
        </div>
    
      </template>

      <script type="module">
        import {Polymer} from '@polymer/polymer/lib/legacy/polymer-fn.js';
        Polymer({
          is: 'grid-arr-list-demo',
        });
      </script>
      
    </dom-module>

    <grid-arr-list-demo></grid-arr-list-demo>

  </body>
</html>
